#!/bin/bash
set -e # faiulure is not tolerated here
## easy to add ids~
### CO:1C:6A is phone in bt pair mode
### 71:D9:79 is common for testyin
### O1 is common and easier
vendor_ids=('00:25:DF' '00:58:28' '00:C0:D4' '84:70:03')
webhook_file="/usr/share/DREAMMAKER/.discord_url"
tag_file="/usr/share/DREAMMAKER/.discord_tag"
username='[DЯΣΛMMΛKΣЯ]'

send_discord_webhook() {
    webhook_url="$(cat \"$webhook_file\")"
    tag="$(cat \"$tag_file\")"

    # send the webhook post
    curl -sS -X POST \
        -H "Content-Type: application/json" \
        -d "{\"username\":\"$username\",\"content\":\"$1 $tag\"}" \
        "$webhook_url"
}

while true; do #infinite loop
    # scan for those vendor ids
    blescan=$(eval "bluetoothctl -t 10 scan on | awk '{print \$3}' | grep ${vendor_ids[@]/#/-e }")
        if [ -n "$blescan" ]; then
            # LE detected poweroff to cryptdisk and notify
            # alert spammmm
            for((i=0;i<10;i++)); do
                send_discord_webhook "FUZZ!!!" & # fork task to background to run more faster
                
                # cryptsetup erase <device> # ion case you wanna nuke ur shit lmao
                ## these options are powerful, silent, fast, aND RIsky
                poweroff --poweroff --force --no-wall # --no-sync
            done
        fi
done